podman-restart(1)

NAME
podman-restart - Restart one or more containers

SYNOPSIS
podman restart [options] container ...

podman container restart [options] container ...

DESCRIPTION
The restart command allows containers to be restarted using their ID or name. Running containers are stopped and restarted. Stopped containers are started.

OPTIONS

  --all, -a
Restart all containers regardless of their current state.

  --cidfile
Read container ID from the specified file and restart the container. Can be specified multiple times.

  --filter, -f=filter
Filter what containers restart. Multiple filters can be given with multiple uses of the --filter flag. Filters with the same key work inclusive with the only exception being label which is exclusive. Filters with different keys always work exclusive.

Valid filters are listed below:
Filter | Description
id | [ID] Container's ID (CID prefix match by default; accepts regex)
name | [Name] Container's name (accepts regex)
label | [Key] or [Key=Value] Label assigned to a container
exited | [Int] Container's exit code
status | [Status] Container's status: 'created', 'initialized', 'exited', 'paused', 'running', 'unknown'
ancestor | [ImageName] Image or descendant used to create container
before | [ID] or [Name] Containers created before this container
since | [ID] or [Name] Containers created since this container
volume | [VolumeName] or [MountpointDestination] Volume mounted in container
health | [Status] healthy or unhealthy
pod | [Pod] name or full or partial ID of pod
network | [Network] name or full ID of network
until | [DateTime] Containers created before the given duration or time.

  --latest, -l
Instead of providing the container name or ID, use the last created container. Note: the last started container can be from other users of Podman on the host machine. (This option is not available with the remote Podman client, including Mac and Windows (excluding WSL2) machines)

  --running
Restart all containers that are already in the running state.

  --time, -t=seconds
Seconds to wait before forcibly stopping the container. Use -1 for infinite wait.

EXAMPLES
Restart the latest container.
    $ podman restart -l
    ec588fc80b05e19d3006bf2e8aa325f0a2e2ff1f609b7afb39176ca8e3e13467

Restart a specific container by partial container ID.
    $ podman restart ff6cf1
    ff6cf1e5e77e6dba1efc7f3fcdb20e8b89ad8947bc0518be1fcb2c78681f226f

Restart two containers by name with a timeout of 4 seconds.
    $ podman restart --time 4 test1 test2
    c3bb026838c30e5097f079fa365c9a4769d52e1017588278fa00d5c68ebc1502
    17e13a63081a995136f907024bcfe50ff532917988a152da229db9d894c5a9ec

Restart all running containers.
    $ podman restart --running

Restart all containers.
    $ podman restart --all

Restart container using ID specified in a given files.
    $ podman restart --cidfile /home/user/cidfile-1
    $ podman restart --cidfile /home/user/cidfile-1 --cidfile ./cidfile-2

SEE ALSO
podman(1)(podman.1.md)

HISTORY
March 2018, Originally compiled by Matt Heon mheon@redhat.com ⟨mailto:mheon@redhat.com⟩